<?php

namespace Trello\Models\CustomFields;

abstract class Base
{
	public object $attributes;
	public const options = NULL;

	public function __construct(object $attributes)
	{
		$this->attributes = $attributes;
	}

	public function __get($key)
	{
		switch ($key) {
			case 'trello_type':
				return object_get($this->attributes,'type');

			case 'type':
				return get_class($this);

			default:
				return object_get($this->attributes,$key);
		}
	}
}