<?php

namespace Trello\Models\CustomFields;

use Trello\Models\CustomField;

class Number extends CustomField
{
	/* ABSTRACT METHODS */

	public function set(string $value): array
	{
		return ['value'=>['number'=>$value]];
	}

	public function value(object $key): ?string
	{
		return (string)$key->value->number;
	}
}