<?php

namespace Trello\Models\CustomFields;

use Trello\Models\CustomField;

class Checkbox extends CustomField
{
	/* ABSTRACT METHODS */

	public function set(string $value): array
	{
		// @todo TO TEST
		return ['value'=>['checked'=>$value ? 'true' : 'false']];
	}

	public function value(object $key): ?string
	{
		// @todo TO TEST
		return (string)$key->value->checked;
	}
}