<?php

namespace Trello\Models\CustomFields;

use Carbon\Carbon;
use Trello\Models\CustomField;

class Date extends CustomField
{
	/* ABSTRACT METHODS */

	public function set(string $value): array
	{
		// @todo TO TEST
		return ['value'=>['date'=>Carbon::createFromTimeString($value)->toISOString()]];
	}

	public function value(object $key): ?string
	{
		// @todo TO TEST
		return $key->value->date;
	}
}