<?php

namespace Trello\Models\CustomFields\Options;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Arr;

class Option extends Model
{
	protected $keyType = 'string';

	public function getNameAttribute(): ?string
	{
		return ($x=Arr::get($this->attributes,'value')) ? $x->text : NULL;
	}
}