<?php

namespace Trello\Models\CustomFields;

use Trello\Models\CustomField;

class Text extends CustomField
{
	/* ABSTRACT METHODS */

	public function set(string $value): array
	{
		return ['value'=>['text'=>$value]];
	}

	public function value(object $key): ?string
	{
		return $key->value->text;
	}
}